M2M Studio 1.1.1 - Impossible to install selected packages


#1

Attempting to install the 2.33 and 2.34 updates:


:frowning: :question:

This is the ‘Available packages’ list:



#2

Ah that nice error. If you wanna follow, check https://forum.sierrawireless.com/t/1-1-2-impossible-to-install-selected-packages/4456/5
Long story short, save you the trouble and do a clean install.


#3

Please note that some packages in 2.34 Software Suite are not compatible with DS 1.1.1 due to a loading bug because of new features supported in these packages (HTML documentation).
(BTW this bug is fixed from 1.1.2: even if package inner format changes again, DS won’t have troubles to load them)

This can be the explanation : maybe some 2.34 package are already installed but not recognized by DS 1.1.1 (and not displayed in Installed Packages view), and making further installation to fail (since it can’t overwrite existing files on the disk).